import Grid from 'react-css-grid'
import React from 'react';
import PropTypes from 'prop-types';
import VideoItem from "./VideoItem";
import RandomItemTitle from "./SectionHeading";
import {Link} from 'react-router-dom';

class RandomPlace extends React.Component {

  shufflePlace() {
    this.props.getRandomPlaceVideos(this.props.allPlaces);
  }

  render() {
    return (
      <section>
        <h2 className="section-heading">from the Archive Places - من مواضيع الارشيف</h2>
        <RandomItemTitle title={this.props.placeName}
                         count={this.props.placeCount}
                         src={'/results/place/' + this.props.placeName}
        />
        <Grid
          width={450}
        >
          {/* View all places button*/}
          <Link to="/places">
            <button className="view-all-places">
              <span className="english-text">All Places - </span>
              <span className="arabic-text"> جميع الأماكن </span>
            </button>
          </Link>
          {/* Shuffle button */}
          <button className="shuffle-button" onClick={this.shufflePlace.bind(this)}>
            <span className="english-text">Shuffle Places - </span>
            <span className="arabic-text"> موضوع عشوائي </span>
            <i className="fa fa-random"></i>
          </button>
        </Grid>

        <Grid className="random-places"
              width={220}
              gap={12}>
          {this.props.videos.map(video =>
            <VideoItem id={video.id} key={video.id} title={video.title}/>
          )}
        </Grid>
      </section>

    )
  }
}

RandomPlace.propTypes = {
  placeName: PropTypes.string,
  allPlaces: PropTypes.array,
  videos: PropTypes.array,
  loading: PropTypes.bool,
  placeCount: PropTypes.number,
  getRandomPlaceVideos: PropTypes.func
};

export default (RandomPlace);